LIBRARY ieee;
use ieee.std_logic_1164.all; 
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity top_parallax is
  port 
  (
	clka		: in std_logic;		-- Clock socket inputs
	clkb		: in std_logic;		-- (connect to Enhanced PLLs)

	nclka		: in std_logic;		-- IO pin clock inputs 
	nclkb		: in std_logic;		-- (connect to Fast PLLs)
	eclka		: in std_logic;
	eclkb		: in std_logic;
	sclka		: in std_logic;
	sclkb		: in std_logic;
	wclka		: in std_logic;
	wclkb		: in std_logic;

--	diff_rx16 : in std_logic; -- _w30_w16__t3__t2
	diff_rx00 : in std_logic; -- _w25_w27_ac2_ad1
	diff_rx02 : in std_logic; -- _w22_w23_aa2_aa1
	diff_rx03 : in std_logic; -- _w20_w21__y2__y1
	diff_rx13 : in std_logic; -- _w18_w17__u2__u1 
	diff_rx25 : in std_logic; -- _w13_w14__l3__l2 
	diff_rx35 : in std_logic; -- _w10_w11__g1__g2 
	diff_rx36 : in std_logic; -- _w08_w09__f1__f2
	diff_rx38 : in std_logic; -- _w04_w05__c1__d2 
	
	n	: inout std_logic_vector(31 downto 0);		-- IO pins
	e	: inout std_logic_vector(31 downto 0);
	s	: inout std_logic_vector(31 downto 0);
	w	: in std_logic_vector(31 downto 0);

	rx			: in std_logic;		-- DB9 serial port signals
	tx			: in std_logic;     -- in if not used, else out

	led	: out std_logic_vector(7 downto 0);		-- LEDs
	px: in std_logic_vector(2 downto 0);		-- PX Loader inputs
	res : in std_logic -- reset button
	
	);
 
end top_parallax;
  
architecture rtl of top_parallax is

signal	counter :  STD_LOGIC_VECTOR(31 downto 0);
  
begin

	process(clka,res)
	begin
			if (res = '0') then
				counter <= (others => '0');
			elsif rising_edge(clka) THEN				
				counter <= counter + '1';
			end if;	
	end process;
	
	led <= counter(31 downto 24);

end rtl;

